## comidi-clojure 0.3.1

=== debian/changelog ===
comidi-clojure (0.3.1-2) unstable; urgency=medium

  * Add prospective upstream patch (issues/36, pull/37) to fix spec
    conformance issues following the upgrade to Clojure 1.9+, fixing
    the FTBFS due to test failures (Closes: #889125).
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 07 Feb 2019 13:58:55 +0100

comidi-clojure (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #855765)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 13:02:02 -0400
