=== debian/control ===
Source: comidi-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 10),
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 clojure (>= 1.8),
 libclj-time-clojure (>= 0.10.0),
 libbidi-clojure (>= 1.23.1),
 libcompojure-clojure (>= 1.4.0),
 libprismatic-schema-clojure (>= 1.0.4),
 libkitchensink-clojure (>= 1.1.0),
 libtext-markdown-perl | markdown,
 default-jdk-headless
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/java-team/comidi-clojure.git
Vcs-Browser: https://salsa.debian.org/java-team/comidi-clojure
Homepage: https://github.com/puppetlabs/comidi

Package: libcomidi-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: HTTP route definitions for Clojure
 Comidi is a library containing utility functions and compojure-like
 syntax-sugar wrappers around the bidi web routing library.
 It aims to provide a way to define your web routes that takes advantage of the
 strengths of both bidi and compojure:
 .
  * Route definitions are simple, composable and introspectable data structures.
  * Helper functions / macros for defining routes still provide the nice syntax
    of compojure
