=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!comidi-$1! \
 https://github.com/puppetlabs/comidi/releases	.*/archive/([\d.]+)\.tar\.gz
