## comidi-clojure 0.3.2

=== debian/changelog ===
comidi-clojure (0.3.2-2) unstable; urgency=medium

  * Team upload.
  * Tighten dependency on libprismatic-schema-clojure.
    - Fixes FTBFS (Closes: #975218)
  * Update package wrt cme.
    - Format d/control.
    - Bump dh-compat to 13.
    - Bump Standards-Version to 4.5.1.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sun, 20 Dec 2020 00:35:59 +0530

comidi-clojure (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: add code to manage upstream tag.
  * New upstream release.
  * Switch to the Clojure team.
  * Standards-Version: 4.5.0.
  * Switch to debhelper-compat.
  * Removed versions of build-depends when already satisfied in Stable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Nov 2020 12:09:08 +0100
