=== debian/control ===
Source: comidi-clojure
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               maven-repo-helper,
               clojure,
               libclj-time-clojure,
               libbidi-clojure,
               libcompojure-clojure,
               libprismatic-schema-clojure (>= 1.1.12),
               libkitchensink-clojure,
               libtext-markdown-perl | markdown,
               default-jdk-headless
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/clojure-team/comidi-clojure
Vcs-Git: https://salsa.debian.org/clojure-team/comidi-clojure.git
Homepage: https://github.com/puppetlabs/comidi

Package: libcomidi-clojure
Architecture: all
Depends: ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Description: HTTP route definitions for Clojure
 Comidi is a library containing utility functions and compojure-like
 syntax-sugar wrappers around the bidi web routing library.
 It aims to provide a way to define your web routes that takes advantage of the
 strengths of both bidi and compojure:
 .
  * Route definitions are simple, composable and introspectable data structures.
  * Helper functions / macros for defining routes still provide the nice syntax
    of compojure
